Axis2/C: XML writer

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# XML writer
[parser]

## Classes
struct | axiom_xml_writer_ops
| axiom_xml_writer ops Encapsulator struct for ops of axiom_xml_writer More...
struct | axiom_xml_writer
| axis2_pull_parser struct Axis2 OM pull_parser More...
## Functions
AXIS2_EXTERN axiom_xml_writer_t * | axiom_xml_writer_create (const axutil_env_t *env, axis2_char_t *filename, axis2_char_t *encoding, int is_prefix_default, int compression)
AXIS2_EXTERN axiom_xml_writer_t * | axiom_xml_writer_create_for_memory (const axutil_env_t *env, axis2_char_t *encoding, int is_prefix_default, int compression, int type)
AXIS2_EXTERN void | axiom_xml_writer_free (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_start_element (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_end_start_element (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_start_element_with_namespace (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_start_element_with_namespace_prefix (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri, axis2_char_t *prefix)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_empty_element (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_empty_element_with_namespace (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_empty_element_with_namespace_prefix (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri, axis2_char_t *prefix)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_end_element (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_end_document (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_attribute (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_attribute_with_namespace (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value, axis2_char_t *namespace_uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_attribute_with_namespace_prefix (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value, axis2_char_t *namespace_uri, axis2_char_t *prefix)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_namespace (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *prefix, axis2_char_t *namespace_uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_default_namespace (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *namespace_uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_comment (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_processing_instruction (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *target)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_processing_instruction_data (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *target, axis2_char_t *data)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_cdata (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *data)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_dtd (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *dtd)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_entity_ref (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *name)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_start_document (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_start_document_with_version (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *version)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_start_document_with_version_encoding (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *version, axis2_char_t *encoding)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_characters (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *text)
AXIS2_EXTERN axis2_char_t * | axiom_xml_writer_get_prefix (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_set_prefix (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *prefix, axis2_char_t *uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_set_default_prefix (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *uri)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_encoded (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *text, int in_attr)
AXIS2_EXTERN void * | axiom_xml_writer_get_xml (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN unsigned int | axiom_xml_writer_get_xml_size (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_xml_writer_get_type (axiom_xml_writer_t *writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_write_raw (axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *content)
AXIS2_EXTERN axis2_status_t | axiom_xml_writer_flush (axiom_xml_writer_t *writer, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_xml_writer_t* axiom_xml_writer_create | ( | const axutil_env_t * | env,
|  | axis2_char_t * | filename,
|  | axis2_char_t * | encoding,
|  | int | is_prefix_default,
|  | int | compression |
| ) |  |  |

create function for axiom_xml_writer

Parameters:

  | env | environment
  | filename | filename
  | encoding | encoding
  | is_prefix_default |
  | compression | return xml writer wrapper structure

AXIS2_EXTERN axiom_xml_writer_t* axiom_xml_writer_create_for_memory | ( | const axutil_env_t * | env,
|  | axis2_char_t * | encoding,
|  | int | is_prefix_default,
|  | int | compression,
|  | int | type |
| ) |  |  |

create fuction for xml writer for memory buffer

Parameters:

  | env | environment struct, must not be null
  | env | environment
  | encoding | encoding
  | is_prefix_default |
  | compression |

Returns:
  xml writer wrapper structure.

AXIS2_EXTERN axis2_status_t axiom_xml_writer_end_start_element | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_flush | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN void axiom_xml_writer_free | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

free method for axiom xml writer

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:

AXIS2_EXTERN axis2_char_t* axiom_xml_writer_get_prefix | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:

AXIS2_EXTERN int axiom_xml_writer_get_type | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  size of the xml

AXIS2_EXTERN void* axiom_xml_writer_get_xml | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:

AXIS2_EXTERN unsigned int axiom_xml_writer_get_xml_size | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:

AXIS2_EXTERN axis2_status_t axiom_xml_writer_set_default_prefix | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_set_prefix | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | prefix,
|  | axis2_char_t * | uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  prefix

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_attribute | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname,
|  | axis2_char_t * | value |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | local name of the element
  | value | value of the element

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_attribute_with_namespace | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname,
|  | axis2_char_t * | value,
|  | axis2_char_t * | namespace_uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | local name of the element
  | value | value of the element
  | uri | of the namespace

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_attribute_with_namespace_prefix | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname,
|  | axis2_char_t * | value,
|  | axis2_char_t * | namespace_uri,
|  | axis2_char_t * | prefix |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | local name of the element
  | value | value of the element
  | uri | of the namespace
  | prefix | of the namespace

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_cdata | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | data |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_characters | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | text |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_comment | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_default_namespace | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | namespace_uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_dtd | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | dtd |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_empty_element | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | local name of the element

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_empty_element_with_namespace | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname,
|  | axis2_char_t * | namespace_uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | local name of the element
  | namespace_uri | uri of the namespace

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_empty_element_with_namespace_prefix | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname,
|  | axis2_char_t * | namespace_uri,
|  | axis2_char_t * | prefix |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | local name of the element
  | namespace_uri | uri of the namespace
  | prefix | prefix of the namespace

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_encoded | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | text,
|  | int | in_attr |
| ) |  |  |

sets the default prefix

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_end_document | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_end_element | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_entity_ref | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | name |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_namespace | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | prefix,
|  | axis2_char_t * | namespace_uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | prefix | prefix of the namespace
  | uri | of the namespace

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_processing_instruction | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | target |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_processing_instruction_data | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | target,
|  | axis2_char_t * | data |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_raw | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | content |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  type

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_start_document | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_start_document_with_version | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | version |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_start_document_with_version_encoding | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | version,
|  | axis2_char_t * | encoding |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_start_element | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | local name of the start element

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_start_element_with_namespace | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname,
|  | axis2_char_t * | namespace_uri |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_xml_writer_write_start_element_with_namespace_prefix | ( | axiom_xml_writer_t * | writer,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | localname,
|  | axis2_char_t * | namespace_uri,
|  | axis2_char_t * | prefix |
| ) |  |  |

Parameters:

  | writer | pointer to the OM XML Writer struct
  | env | environment struct, must not be null
  | localname | localname of the start element
  | namespace_uri | namespace uri of that element
  | prefix | prefix of that namespace

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE